### Class

# Ide LspCompletionItem

#### Description

    final class Ide.LspCompletionItem : GObject.Object {
      /* No available fields */
    }

No description available.

#### Ancestors

- GObject

#### Implements

- IdeCompletionProposal

#### Constructors

###### ide_lsp_completion_item_new

No description available.

#### Instance methods

###### ide_lsp_completion_item_get_additional_text_edits

Obtain an array of all additional text edits to be applied to the project.

Available since: 41.0

###### ide_lsp_completion_item_get_detail

No description available.

###### ide_lsp_completion_item_get_icon_name

No description available.

###### ide_lsp_completion_item_get_markup

No description available.

###### ide_lsp_completion_item_get_return_type

No description available.

###### ide_lsp_completion_item_get_snippet

Creates a new snippet for the completion item to be inserted into the document.

Available since: 3.30

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct IdeLspCompletionItemClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.